package com.ssj.service.sys.homework.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class KnowledgeSearchRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "semester", value = "上下册", required = true)
    private int semester;

    @ApiModelProperty(name = "knowledgeVersion", value = "版本", required = true)
    private int knowledgeVersion;

    @ApiModelProperty(name = "homeworkPictureId", value = "作业图片id", required = false)
    private String homeworkPictureId;

    @ApiModelProperty(name = "detailName", value = "知识点名称", required = false)
    private String detailName;

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(int knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }
}
